/* in case the WATCOM Fortran compiler is used */
#if	!defined(WATCOM)
#define	WATCOM
#endif
/*--------------------------------------------------------------------*/
typedef struct {	/* string descriptor */
	char    *addr;
	unsigned len;
} DESCRIPTOR;
/*--------------------------------------------------------------------*/
extern int IBEGIN(void);
extern int IUPD(void);
extern int IEND(void);
extern int MAXIS(DESCRIPTOR *name);
extern int IAXIS(DESCRIPTOR *name, int *n);
extern int MAXIS1(DESCRIPTOR *name);
extern int IAXIS1(DESCRIPTOR *name, int *nx);
extern int MAXIS2(DESCRIPTOR *name);
extern int IAXIS2(DESCRIPTOR *name, int *ny);
extern int MSIMPL(DESCRIPTOR *name);
extern int ISIMPL(DESCRIPTOR *name, int *c);
extern int MBITPX(DESCRIPTOR *name);
extern int IBITPX(DESCRIPTOR *name, int *bit);
extern int MPXTYP(DESCRIPTOR *name);
extern int IPXTYP(DESCRIPTOR *name, int *type);
extern float DATMAX(DESCRIPTOR *name);
extern int IDTMAX(DESCRIPTOR *name, float *max);
extern float DATMIN(DESCRIPTOR *name);
extern int IDTMIN(DESCRIPTOR *name, float *min);
extern float FBLANK(DESCRIPTOR *name);
extern int IBLANK(DESCRIPTOR *name, float *blank);
extern int IGOBJ(DESCRIPTOR *name, int *n, DESCRIPTOR *obj);
extern int IMDEL(DESCRIPTOR *name);
extern int IMOPEN(DESCRIPTOR *name, int *rw, int *type, int *npix, int *nlin);
extern int ICHIOM(int *id, int *rw);
extern int MCREAT(DESCRIPTOR *name, int *rw, int *type, int *npix, int *nlin);
extern int IMCOPY(DESCRIPTOR *oname, DESCRIPTOR *nname, int *rw, int *cpf);
extern int IMWIN(int *id, int *stx, int *sty, int *extx, int *exty);
extern int IMGETL(int *id, int *y, char *line);
extern int IMPUTL(int *id, int *y, char *line);
extern int IMBRD(int *id, int *blk, char *buf);
extern int IMBWR(int *id, int *blk, char *buf);
extern void MFLUSH(int *id);
extern void MCLOSE(int *id);
extern int IMBPIX(DESCRIPTOR *name);
extern int IGENV(DESCRIPTOR *name, int *n, DESCRIPTOR *obj);
extern int IHDRCP(DESCRIPTOR *oname, DESCRIPTOR *nname);
