
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
/*-------------------------------------------------------------------------
 This INCLUDE file contains the external definitions for the GETOPT(3)
 function and its global variables.
-------------------------------------------------------------------------*/
#if	defined(ANSI)	/* ANSI-C */
extern int getopt(int argc, char * const argv[], const char *optstring);
#else	/* old style */
extern int getopt();
#endif
extern char *optarg;	/* Set by GETOPT for options expecting	arguments */
extern int optind;	/* Set by GETOPT: index of next ARGV */
extern int opterr;	/* Disable (== 0) or enable (!= 0) error messages */
/*-----------------------------------------------------------------------*/
#define	NONOPT	(-1)	/* Non-Option - returned by GETOPT */
