
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
#if	defined(ANSI)	/* ANSI-C */
extern void setipath(const int i);
extern int idel(const char *name);
extern int iremove(const char *name);
extern int iopen(const char *name,
	const int rw, int *type, int *npix, int *nlin);
extern int icreat(const char *name,
	const int rw, const int type, const int npix, const int nlin);
extern int icopy(const char *oname,
	const char *nname, const int rw, const int cpf);
extern int window(const int id,
	const int stx, const int sty, const int extx, const int exty);
extern int getline(const int id, const int y, void *line);
extern int putline(const int id, const int y, void *line);
extern int bread(const int id, const int block, void *buffer);
extern int bwrite(const int id, const int block, void *buffer);
extern void iflush(const int id);
extern void iclose(const int id);
extern int chiomod(const int id, const int rw);
#else	/* old style */
extern void setipath();
extern int idel();
extern int iremove();
extern int iopen();
extern int icreat();
extern int icopy();
extern int window();
extern int getline();
extern int putline();
extern int bread();
extern int bwrite();
extern void iflush();
extern void iclose();
extern int chiomod();
#endif
