
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
/* In case you have to use BIOS calls to draw the image */
/*
#define	USE_BIOS	1
*/
/*--------------------------------------------------------------------*/
/* ET4000 should not be defined when using the Vectra PC */
#define	ET4000	1
/*--------------------------------------------------------------------*/
#if	defined(HC1) || defined(HC2)	/* High-C */
#define	_TEXTBW40      0	/* 40 x 25 text, 16 grey */
#define	_TEXTC40       1	/* 40 x 25 text, 16/8 color */
#define	_TEXTBW80      2	/* 80 x 25 text, 16 grey */
#define	_TEXTC80       3	/* 80 x 25 text, 16/8 color */
#define	_MRES4COLOR    4	/* 320 x 200, 4 color */
#define	_MRESNOCOLOR   5	/* 320 x 200, 4 grey */
#define	_HRESBW        6	/* 640 x 200, BW */
#define	_TEXTMONO      7	/* 80 x 25 text, BW */
#define	_HERCMONO      8	/* 720 x 348, BW for HGC */
#define	_MRES16COLOR  13	/* 320 x 200, 16 color */
#define	_HRES16COLOR  14	/* 640 x 200, 16 color */
#define	_ERESNOCOLOR  15	/* 640 x 350, BW */
#define	_ERESCOLOR    16	/* 640 x 350, 4 or 16 color */
#define	_VRES2COLOR   17	/* 640 x 480, BW */
#define	_VRES16COLOR  18	/* 640 x 480, 16 color */
#define	_MRES256COLOR 19	/* 320 x 200, 256 color */
#endif
/*--------------------------------------------------------------------*/
#define	_ET640x350	0x2d	/*  640 x 350, 256 color */
#define	_ET640x480	0x2e	/*  640 x 480, 256 color */
#define	_ET640x400	0x2f	/*  640 x 400, 256 color */
#define	_ET800x600	0x30	/*  800 x 600, 256 color */
#define	_ET1024x768	0x38	/* 1024 x 768, 256 color */
#define	_PA640x400	0x5e	/*  640 x 400, 256 color */
#define	_PA640x480	0x5f	/*  640 x 480, 256 color */
/*--------------------------------------------------------------------*/
extern int rowsize(void);
extern int colsize(void);
extern void set_mode(int mode);
extern void set_cursor(int row, int col);
extern void draw_pixel(int row, int col, UCHAR color);
extern UCHAR read_pixel(int row, int col);
extern void write_tty(UCHAR ascii, UCHAR color);
extern void write_str(char *str, int row, int col, UCHAR color);
extern unsigned get_mode(void);
extern void set_color(UCHAR *rgb);
extern void get_color(UCHAR *rgb);
extern void set_seg(int n);
extern void draw_line(int row, int col, UCHAR *color, int len);
