
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
/* interface to vmalloc module */
#if	defined(ANSI)	/* ANSI-C */
extern void *vmalloc(unsigned size);
extern void vfree(void *ptr);
extern void vverify(char *id);
extern void *vrealloc(void *ptr, unsigned size);
extern void *vcalloc(unsigned nelem, unsigned size);
extern void vdump(char *id);
extern void heap_dump(void);
extern int bad_heap(void);
#else	/* old style */
extern void *vmalloc();
extern void vfree();
extern void vverify();
extern void *vrealloc();
extern void *vcalloc();
extern void vdump();
extern void heap_dump();
extern int bad_heap();
#endif
