
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
#include "host.h"	/* defines MSC, HC1, HC2, WC, BSD or SYSV */
#include "hcconio.h"	/* prototypes for hcconio.c */
#if	defined(HC1)	/* High-C V1.6 */
/*--------------------------------------------------------------------*/
#include <msdos.cf>
/*--------------------------------------------------------------------*/
int get_che(void)	/* Character Input with Echo */
{
	Registers.AX.LH.H = 0x1;
	calldos();
	return Registers.AX.LH.L;
}
/*--------------------------------------------------------------------*/
void put_ch(char c)	/* Character Output */
{
	Registers.AX.LH.H = 0x2;
	Registers.DX.LH.L = c;
	calldos();
}
/*--------------------------------------------------------------------*/
int get_ch(void)	/* Character Input without Echo */
{
	Registers.AX.LH.H = 0x8;
	calldos();
	return Registers.AX.LH.L;
}
/*--------------------------------------------------------------------*/
int kb_hit(void)	/* Get Input Status */
{
	Registers.AX.LH.H = 0xB;
	calldos();
	return Registers.AX.LH.L;
}
#endif
/*--------------------------------------------------------------------*/
#if	defined(MSC) || defined(HC2) || defined(WC)
/* MS-C, High-C V2.3, or WATCOM-C 9.0/386 */
#include <dos.h>
/*--------------------------------------------------------------------*/
int get_che(void)	/* Character Input with Echo */
{
	return (char) (unsigned) bdos(0x1, 0, 0);
}
/*--------------------------------------------------------------------*/
void put_ch(char c)	/* Character Output */
{
	bdos(0x2, (unsigned) c, 0);
}
/*--------------------------------------------------------------------*/
int get_ch(void)	/* Character Input without Echo */
{
	return (char) (unsigned) bdos(0x8, 0, 0);
}
/*--------------------------------------------------------------------*/
int kb_hit(void)	/* Get Input Status */
{
	return (char) (unsigned) bdos(0xB, 0, 0);
}
/*--------------------------------------------------------------------*/
#endif
