
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define	NHUE	360
unsigned char red[NHUE], green[NHUE], blue[NHUE];
main()
{
	FILE *stream;
	int i;
	double x, y, h;
	double f = atan(1.0)/90.0;
	double q = sqrt(3.0)/2.0;
	if ((stream = fopen("rgbtab.dat", "wb")) == (FILE *)0) {
		fprintf(stderr, "can't create rgbtab.dat\n");
		exit(1);
	}
	for (i = 0; i < NHUE; i++) {
		h = f*i;
		x = 0.5*cos(h);
		y =  q *sin(h);
		red[i]   = 63.0*fabs(x+x);
		green[i] = 57.0*fabs(x+y);
		blue[i]  = 52.0*fabs(x-y);
	}
	if (fwrite(red, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	if (fwrite(green, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	if (fwrite(blue, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	exit(0);
}
