This is a list of problems which was found while using the LDS at
the telescope for real astronomical observations, and the steps taken
to correct the problems:

 1. The first dichroic beamsplitter was of poor quality. It has now
   been replaced by a new one of much better quality.

 2. The 85 mm Canon lens used as camera in the primary channel has
   significant chromatic aberration in the near infrared, making it
   impossible to focus the whole spectral range at the same time.
   This was corrected by tilting the P8603 (GEC) CCD app. 2 degrees.
   Micrometer #1 was turned 2 full turns clockwise (1mm up).
   Micrometers #2 and #3 were turned 2 full turnes anticlockwise (1mm down).
   It is now only possible to use this channel for spectroscopy in
   the red-infrared spectral region. It is no longer possible to use
   the primary channel for direct imaging. The micrometer screws should
   only be adjusted after consulting Bjarne Thomsen.

 3. The P8603 CCD is sensitive to the second order spectrum of the two
   grisms in the primary channel. This problem is eliminated by inserting
   the dichroic mirror (channel selection: both) in the beam. The dichroic
   beam splitter cuts off the spectrum shortward of app. 6000 A.
   The field through the beam splitter is elliptical. Has the dichroic
   mirror been incorrectly mounted?

 4. During initialization it sometimes happens that the host program
   hangs because of a missing response from one of the controllers.
   Reboot the Vectra PC. Type reshost in order to delete some hanging
   logfiles. Turn both controllers off and on again. Reset both
   controllers and enter host. Initialize host.

 5. It has happened once that the primary grism wheel did not turn to
   the next position. The procedure is the same as the one used above
   under 4.

 6. It may sometimes happen that the apperture wheel does not stop at
   the exact encoder position asked for by host.

 7. The secondary shutter has failed for some unknown reason.

 8. Henning Jorgensen reports that host hangs when starting an exposure
   in channel 2 after the selection of options for channel 1.

 9. It has happened for Hans Kjeldsen that the reset button on the LDS
   controller did not reset the Z80 processor. The controller was reset
   by turning the controller off and on. The reason is not known.

10. It can sometimes be difficult to unscrew the slit/filter holders.
   The 3 screws are normally removed by a special screwdriver, that
   can hold the screws when they come off. It might be necessary to
   loosen a tight screw with a bigger screwdriver (bigger handle).

