
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
/* in case a f77 compiler based on f2c + gcc is used */
#if	!defined(F2C)
#define F2C
#endif
/*--------------------------------------------------------------------*/
extern int ibegin___(void);
extern int iupd___(void);
extern int iend___(void);
extern int maxis___(char *name, int len);
extern int iaxis___(char *name, int *n, int len);
extern int maxis1___(char *name, int len);
extern int iaxis1___(char *name, int *nx, int len);
extern int maxis2___(char *name, int len);
extern int iaxis2___(char *name, int *ny, int len);
extern int msimpl___(char *name, int len);
extern int isimpl___(char *name, int *c, int len);
extern int mbitpx___(char *name, int len);
extern int ibitpx___(char *name, int *bit, int len);
extern int mpxtyp___(char *name, int len);
extern int ipxtyp___(char *name, int *type, int len);
extern float datmax___(char *name, int len);
extern int idtmax___(char *name, float *max, int len);
extern float datmin___(char *name, int len);
extern int idtmin___(char *name, float *min, int len);
extern float fblank___(char *name, int len);
extern int iblank___(char *name, float *blank, int len);
extern int igobj___(char *name, int *n, char *obj, int len1, int len2);
extern int imdel___(char *name, int len);
extern int imopen___(char *name, int *rw, int *type, int *npix, int *nlin,
           int len);
extern int ichiom___(int *id, int *rw);
extern int mcreat___(char *name, int *rw, int *type, int *npix, int *nlin,
           int len);
extern int imcopy___(char *oname, char *nname, int *rw, int *cpf,
           int len1, int len2);
extern int imwin___(int *id, int *stx, int *sty, int *extx, int *exty);
extern int imgetl___(int *id, int *y, char *line);
extern int imputl___(int *id, int *y, char *line);
extern int imbrd___(int *id, int *blk, char *buf);
extern int imbwr___(int *id, int *blk, char *buf);
extern void mflush___(int *id);
extern void mclose___(int *id);
extern int imbpix___(char *name, int len);
extern int igenv___(char *name, int *n, char *obj, int len1, int len2);
extern int ihdrcp___(char *oname, char *nname, int len1, int len2);
