
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
#if	defined(ANSI)	/* ANSI-C */
extern char *strdel(char *s, const char c);
extern char *stoken(char *s, const char c);
extern char **getpath(const char *envname, int *pathcount);
extern char **getitab(int *icount);
extern char **getktab(const char *name, int *kcount);
extern char *truncname(char *name);
extern void rmi(const char *name);
extern void rmk(const char *name, const char *key);
extern int xist(const char *name);
extern int cpi(const char *old, const char *new);
extern char *putk(const char *name, const char *key, const char *text);
extern char *getk(const char *name, const char *key);
extern int prolog(const int m);
extern int update(void);
extern int epilog(void);
extern int rddir(const char *dir);
extern int wrdir(const char *dir);
#else	/* old style */
extern char *strdel();
extern char *stoken();
extern char **getpath();
extern char **getitab();
extern char **getktab();
extern char *truncname();
extern void rmi();
extern void rmk();
extern int xist();
extern int cpi();
extern char *putk();
extern char *getk();
extern int prolog();
extern int update();
extern int epilog();
extern int rddir();
extern int wrdir();
#endif
