
/**************************************************************************/
/*                                                                        */
/*   This program is free software; you can redistribute it and/or modify */
/*   it under the terms of the GNU General Public License as published by */
/*   the Free Software Foundation; either version 2 of the License, or    */
/*   (at your option) any later version.                                  */
/*                                                                        */
/*   This program is distributed in the hope that it will be useful,      */
/*   but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*   GNU General Public License for more details.                         */
/*                                                                        */
/*   You should have received a copy of the GNU General Public License    */
/*   along with this program; if not, write to the                        */
/*       Free Software Foundation, Inc.,                                  */
/*       59 Temple Place, Suite 330,                                      */
/*       Boston, MA  02111-1307                                           */
/*       USA                                                              */
/*                                                                        */
/**************************************************************************/
#if	defined(ANSI)	/* ANSI-C */
extern void ifpix_uchar(void *buffer, const int size, const int rop,
	const double cons, const int aop, const double value);
extern void ifpix_short(void *buffer, const int size, const int rop,
	const double cons, const int aop, const double value, const double blank);
extern void ifpix_long(void *buffer, const int size, const int rop,
	const double cons, const int aop, const double value, const double blank);
extern void ifpix_float(void *buffer, const int size, const int rop,
	const double cons, const int aop, const double value, const double blank);
#else	/* old style */
extern void ifpix_uchar();
extern void ifpix_short();
extern void ifpix_long();
extern void ifpix_float();
#endif
